Bug 8201 - can't change receive date
Summary: can't change receive date
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: 3.6
Hardware: All All
: P5 - low major (vote)
Assignee: Katrin Fischer
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-07 10:48 UTC by Nicole C. Engard
Modified: 2013-12-05 19:59 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8201: Receive date not passed through correctly (1.59 KB, patch)
2012-06-10 09:58 UTC, Katrin Fischer
Details | Diff | Splinter Review
[Signed-off] Bug 8201: Receive date not passed through correctly (1.68 KB, patch)
2012-06-10 11:00 UTC, Matthias Meusburger
Details | Diff | Splinter Review
Bug 8201 [SIGNED-OFF] : Receive date not passed through correctly (1.67 KB, patch)
2012-06-10 11:00 UTC, Sophie MEYNIEUX
Details | Diff | Splinter Review
Bug 8201: Receive date not passed through correctly (1.73 KB, patch)
2012-06-10 13:12 UTC, MJ Ray (software.coop)
Details | Diff | Splinter Review
[3.6.x] Bug 8201: Receive date not passed through correctly (1.44 KB, patch)
2012-06-10 13:57 UTC, Katrin Fischer
Details | Diff | Splinter Review
[3.6.x] Bug 8201: Receive date not passed through correctly (1.50 KB, patch)
2012-06-10 14:26 UTC, MJ Ray (software.coop)
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2012-06-07 10:48:29 UTC
When receiving a shipment you can enter the invoice date. I entered a date in the past and it showed that date after hitting submit, but after I receive one item it changes the date back to today's date instead.  The date needs to stay set to what the librarian sets - not change to anything else.
Comment 1 Nicole C. Engard 2012-06-07 10:50:14 UTC
More: http://screencast.com/t/fegwGMZ3WzQ
Comment 2 Katrin Fischer 2012-06-07 10:56:21 UTC
We had a library reporting this for 3.6.3 - didn't confirm it so far, but the report matches.
Comment 3 Katrin Fischer 2012-06-10 09:51:20 UTC
Ok, found the problem, patch coming.
Comment 4 Katrin Fischer 2012-06-10 09:58:09 UTC Comment hidden (obsolete)
Comment 5 Matthias Meusburger 2012-06-10 11:00:51 UTC Comment hidden (obsolete)
Comment 6 Sophie MEYNIEUX 2012-06-10 11:00:56 UTC Comment hidden (obsolete)
Comment 7 MJ Ray (software.coop) 2012-06-10 13:12:06 UTC
Created attachment 10097 [details] [review]
Bug 8201: Receive date not passed through correctly

All orders were received with today's date instead of the receive date
given with the invoice number.

To test:
1) Add an order with a few order lines
2) Create a new invoice, receive date != today's date
3) Start receiving orders, check date on receive screens is correct

Signed-off-by: Matthias Meusburger <matthias.meusburger@biblibre.com>
Signed-off-by: Sophie Meynieux <sophie.meynieux@biblibre.com>
Signed-off-by: MJ Ray <mjr@phonecoop.coop>
Comment 8 MJ Ray (software.coop) 2012-06-10 13:12:42 UTC
Trivial patch. Fixed whitespace and merged signed-offs
Comment 9 Paul Poulain 2012-06-10 13:18:55 UTC
QA comment: tiny patch that just replaces 
datereceived=[% loop_order.invoicedatereceived %]
by
datereceived=[% invoicedatereceived %]

passed QA
Comment 10 Paul Poulain 2012-06-10 13:19:47 UTC
Not sure 3.8 is affected, but if it is, then worth pushing it onto stable
Comment 11 Katrin Fischer 2012-06-10 13:33:13 UTC
From what I can tell 3.8 needs the patch too.
Problem is also in 3.6.x too, but we might need slightly different patch, because of booksellerid=[% loop_order.booksellerid %].
Comment 12 Katrin Fischer 2012-06-10 13:57:52 UTC Comment hidden (obsolete)
Comment 13 MJ Ray (software.coop) 2012-06-10 14:26:03 UTC
Created attachment 10119 [details] [review]
[3.6.x] Bug 8201: Receive date not passed through correctly

Separate patch for 3.6.x because variable name got changed between versions.
(supplieried instead of booksellerid)

Signed-off-by: MJ Ray <mjr@phonecoop.coop>
Comment 14 Chris Cormack 2012-06-14 06:55:21 UTC
Pushed to 3.8.x will be in 3.8.2
Comment 15 Jared Camins-Esakov 2012-06-14 11:55:19 UTC
This patch will be in 3.6.6.